|  | Home | Documentation | saml2__AssertionType::__saml2__union_AssertionType Struct Reference updated Sat Jun 9 2018 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml2__AssertionType::__saml2__union_AssertionType Struct Reference

`#include <saml2.h>`

Collaboration diagram for saml2__AssertionType::__saml2__union_AssertionType:
[legend]

## Public Attributes
struct saml2__StatementAbstractType *saml2__Statement | nullptr
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":Statement. More...
struct saml2__AuthnStatementType *saml2__AuthnStatement | nullptr
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":AuthnStatement. More...
struct saml2__AuthzDecisionStatementType *saml2__AuthzDecisionStatement | nullptr
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":AuthzDecisionStatement. More...
struct saml2__AttributeStatementType *saml2__AttributeStatement | nullptr
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":AttributeStatement. More...

## Member Data Documentation

struct saml2__StatementAbstractType* saml2__Statement saml2__AssertionType::__saml2__union_AssertionType::nullptr

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":Statement.

Required nillable (xsi:nil when NULL) element.

struct saml2__AuthnStatementType* saml2__AuthnStatement saml2__AssertionType::__saml2__union_AssertionType::nullptr

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":AuthnStatement.

Required nillable (xsi:nil when NULL) element.

struct saml2__AuthzDecisionStatementType* saml2__AuthzDecisionStatement saml2__AssertionType::__saml2__union_AssertionType::nullptr

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":AuthzDecisionStatement.

Required nillable (xsi:nil when NULL) element.

struct saml2__AttributeStatementType* saml2__AttributeStatement saml2__AssertionType::__saml2__union_AssertionType::nullptr

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":AttributeStatement.

Required nillable (xsi:nil when NULL) element.

The documentation for this struct was generated from the following file:

- saml2.h